Skip to main content

Menu & Products

6 API calls in this section.

Get Menu​

Public APIs / Public / Menu & Products
GET/public/restaurant/:slug/menu

Load a restaurant’s public menu, optionally narrowed to a category.

Path parameters

ParameterTypeDescription
slugRequiredstring

Dynamic path value from the request URL.

Query parameters

ParameterTypeDescription
category_idstring

Example: {{category_id}}

pagestring

Example: 1

limitstring

Example: 12

Staging
Request
curl
1curl --globoff --request GET "https://staging-api.ondi.io/functions/v1/public/restaurant/${SLUG}/menu?category_id=${CATEGORY_ID}&page=1&limit=12"

Response examples

No saved response example. Use Try it to inspect a staging response.

List Categories​

Public APIs / Public / Menu & Products
GET/public/restaurant/:slug/categories

Browse public restaurant categories for catalog navigation.

Path parameters

ParameterTypeDescription
slugRequiredstring

Dynamic path value from the request URL.

Query parameters

ParameterTypeDescription
pagestring

Example: {{page}}

limitstring

Example: {{limit}}

parent_idstring

Example: {{parent_id}}

is_activestring

Example: {{is_active}}

includeAvailableCountsstring

Example: {{includeAvailableCounts}}

searchstring

Example: {{search}}

Staging
Request
curl
1curl --globoff --request GET "https://staging-api.ondi.io/functions/v1/public/restaurant/${SLUG}/categories?page=${PAGE}&limit=${LIMIT}&parent_id=${PARENT_ID}&is_active=${IS_ACTIVE}&includeAvailableCounts=${INCLUDEAVAILABLECOUNTS}&search=${SEARCH}"

Response examples

No saved response example. Use Try it to inspect a staging response.

List Menus​

Public APIs / Public / Menu & Products
GET/public/restaurant/:slug/menus

Browse the menus listed for a restaurant.

Path parameters

ParameterTypeDescription
slugRequiredstring

Dynamic path value from the request URL.

Query parameters

ParameterTypeDescription
pagestring

Example: {{page}}

limitstring

Example: {{limit}}

searchstring

Example: {{search}}

langstring

Example: {{lang}}

Staging
Request
curl
1curl --globoff --request GET "https://staging-api.ondi.io/functions/v1/public/restaurant/${SLUG}/menus?page=${PAGE}&limit=${LIMIT}&search=${SEARCH}&lang=${LANG}"

Response examples

No saved response example. Use Try it to inspect a staging response.

List Products​

Public APIs / Public / Menu & Products
GET/public/restaurant/:slug/products

Browse public restaurant products by menu, category or search term.

Path parameters

ParameterTypeDescription
slugRequiredstring

Dynamic path value from the request URL.

Query parameters

ParameterTypeDescription
pagestring

Example: {{page}}

limitstring

Example: {{limit}}

menu_idstring

Example: {{menu_id}}

category_idstring

Example: {{category_id}}

searchstring

Example: {{search}}

langstring

Example: {{lang}}

Staging
Request
curl
1curl --globoff --request GET "https://staging-api.ondi.io/functions/v1/public/restaurant/${SLUG}/products?page=${PAGE}&limit=${LIMIT}&menu_id=${MENU_ID}&category_id=${CATEGORY_ID}&search=${SEARCH}&lang=${LANG}"

Response examples

No saved response example. Use Try it to inspect a staging response.

Get Product (by ID path)​

Public APIs / Public / Menu & Products
GET/public/restaurant/:slug/products/:productId

Returns product details including ingredients.

Path parameters

ParameterTypeDescription
slugRequiredstring

Dynamic path value from the request URL.

productIdRequiredstring

Dynamic path value from the request URL.

Staging
Request
curl
1curl --globoff --request GET "https://staging-api.ondi.io/functions/v1/public/restaurant/${SLUG}/products/${PRODUCTID}"

Response examples

No saved response example. Use Try it to inspect a staging response.

Get Product (by sku or product_id query)​

Public APIs / Public / Menu & Products
GET/public/restaurant/:slug/products/product

Returns product details including ingredients.

Path parameters

ParameterTypeDescription
slugRequiredstring

Dynamic path value from the request URL.

Query parameters

ParameterTypeDescription
skustring

Example: {{sku}}

product_idstring

Example: {{product_id}}

Staging
Request
curl
1curl --globoff --request GET "https://staging-api.ondi.io/functions/v1/public/restaurant/${SLUG}/products/product?sku=${SKU}&product_id=${PRODUCT_ID}"

Response examples

No saved response example. Use Try it to inspect a staging response.